---
title: "Get an organization brand"
url: "https://docs.signnow.com/docs/organization-branding/operations/get-v2-organizations-organization-id-brands-brand-id"
type: "endpoint"
section: "organization-branding"
slug: "organization-branding/operations/get-v2-organizations-organization-id-brands-brand-id"
method: "GET"
path: "/v2/organizations/{organization_id}/brands/{brand_id}"
operation_id: "get-v2-organizations-organization-id-brands-brand-id"
authorization: "bearer"
---

# Get an organization brand

`GET /v2/organizations/{organization_id}/brands/{brand_id}`

This endpoint allows API users to get an organization brand by its ID.

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `organization_id` | string | Yes | ID of the organization. Must match the pattern: [a-z0-9]{40}. |
| `brand_id` | string | Yes | ID of the brand. Must match the pattern: [a-z0-9]{40}. |

## Responses

### 200

Brand details.

**Example** (`Successful response`)

```json
{
  "data": {
    "link": "https://api.signnow.com/v2/organizations/d675d64269db12538aa971ad2dfe1697164bc614/brands/65abbd5b6ca8bec57fdef2b2dd0460fba313fd14",
    "title": "Company brand",
    "resources": {
      "logo": {
        "data": {
          "original": "https://api.signnow.com/v2/organizations/d675d64269db12538aa971ad2dfe1697164bc614/brands/65abbd5b6ca8bec57fdef2b2dd0460fba313fd14/resources/logo"
        },
        "link": "https://api.signnow.com/v2/organizations/d675d64269db12538aa971ad2dfe1697164bc614/brands/65abbd5b6ca8bec57fdef2b2dd0460fba313fd14/resources/logo?hash=39c7aded523a80a0e8f9e9ffb88d3d319e27d401"
      },
      "general": {
        "data": {
          "icons": {
            "color": "#546470",
            "background": "#ffffff",
            "hover-background": "#f1f2f4"
          },
          "texts": {
            "color": "#2f373e"
          },
          "header": {
            "background": "#ffffff"
          },
          "buttons": {
            "primary": {
              "color": "#ffffff",
              "background": "#0077c8",
              "active-border": "#004a7c",
              "hover-background": "#005995",
              "active-background": "#004a7c"
            },
            "dropdown": {
              "color": "#546470",
              "background": "#ffffff",
              "hover-background": "#f1f2f4",
              "active-background": "#dadee2"
            },
            "secondary": {
              "color": "#38424b",
              "background": "#e3e6e9",
              "active-border": "#d5dade",
              "hover-background": "#f1f2f4",
              "active-background": "#d5dade"
            }
          }
        },
        "link": "https://api.signnow.com/v2/organizations/d675d64269db12538aa971ad2dfe1697164bc614/brands/65abbd5b6ca8bec57fdef2b2dd0460fba313fd14/resources/general"
      }
    },
    "unique_id": "65abbd5b6ca8bec57fdef2b2dd0460fba313fd14",
    "owner_type": "organization"
  }
}
```

### 400

Incorrect or missing token

**Example** (`Example 1`)

```json
{
  "code": 1537,
  "error": "invalid_token"
}
```

### 403

* The user is authorized with a token from an app they don’t own.
* The brand exists but it is not an organization brand.

**Example** (`Non-organization brand`)

```json
{
  "code": 25002030,
  "message": "No access to the brand."
}
```

**Example** (`User doesn't own the app`)

```json
{
  "code": 25002001,
  "message": "Brand action not allowed"
}
```

### 404

* The brand is not found.
* The organization is not found.

**Example** (`Brand not found`)

```json
{
  "code": 25002016,
  "message": "Brand not found."
}
```

**Example** (`Organization not found`)

```json
{
  "errors": [
    {
      "code": 25006001,
      "message": "Organization not found."
    }
  ]
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X GET \
  "https://api.signnow.com/v2/organizations/{organization_id}/brands/{brand_id}" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN"
```

---
*Full reference: https://docs.signnow.com/docs/organization-branding/operations/get-v2-organizations-organization-id-brands-brand-id*
